Bug 318731 - Modes entry causes X to hang in infinite loop
Modes entry causes X to hang in infinite loop
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
i386 Linux
high Severity high
: ---
: ---
Assigned To: Adam Jackson
: 318861 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2007-10-04 12:31 EDT by Orion Poplawski
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-05 12:16:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2007-10-04 12:31:24 EDT
Description of problem:

With today's rawhide updates:

Oct 04 09:10:32 Updated: xorg-x11-xtrans-devel - 1.0.3-5.fc8.i386
Oct 04 09:11:42 Updated: xorg-x11-server-Xorg -
Oct 04 09:24:07 Updated: xorg-x11-xfs - 1:1.0.5-1.fc8.i386
Oct 04 09:24:55 Updated: xorg-x11-drv-ati - 6.7.194-2.fc8.i386

X hangs in an infinite loop starting up.  ltrace showed an infinite sequence of:

strcmp("1600x1200","1600x1200") = 0

Commenting out the Modes line (as shown below) allows X to start.

Section "ServerLayout"
        Identifier     "Default Layout"
        Screen      0  "Screen0" 0 0
        InputDevice    "Keyboard0" "CoreKeyboard"
        InputDevice    "Synaptics" "AlwaysCore"

Section "InputDevice"
        Identifier  "Keyboard0"
        Driver      "kbd"
        Option      "XkbModel" "pc105"
        Option      "XkbLayout" "us"

Section "InputDevice"
        Identifier  "Synaptics"
        Driver      "synaptics"
        Option      "Device" "/dev/input/mice"
        Option      "Protocol" "auto-dev"
        Option      "Emulate3Buttons" "yes"

Section "Device"
        Identifier  "Videocard0"
        Driver      "radeon"

Section "Screen"
        Identifier "Screen0"
        Device     "Videocard0"
        DefaultDepth     24
        SubSection "Display"
                Viewport   0 0
                Depth     24
                #Modes     "1600x1200"
Comment 1 Adam Jackson 2007-10-04 15:27:53 EDT
Instead of ltrace, can you get a backtrace with gdb?
Comment 2 Orion Poplawski 2007-10-04 18:50:29 EDT
(gdb) bt
#0  0x001f299a in strcmp () from /lib/libc.so.6
#1  0x080f31df in xf86ProbeOutputModes (scrn=0x9aa0d20, maxX=1600, maxY=1200)
    at xf86Crtc.c:1421
#2  0x080f42d4 in xf86InitialConfiguration (scrn=0x9aa0d20, canGrow=0)
    at xf86Crtc.c:1576
#3  0x003fc749 in RADEONPreInit (pScrn=0x9aa0d20, flags=<value optimized out>)
    at radeon_driver.c:2720
#4  0x080a3248 in InitOutput (pScreenInfo=0x82265a0, argc=8, argv=0xbfcc6bd4)
    at xf86Init.c:601
#5  0x0807028b in main (argc=8, argv=0xbfcc6bd4, envp=0xbfcc6bf8) at main.c:370

Comment 3 Dave Airlie 2007-10-04 22:13:12 EDT
*** Bug 318861 has been marked as a duplicate of this bug. ***
Comment 4 Adam Jackson 2007-10-05 10:22:40 EDT
Wow, neat.

I think I see the upstream commit that introduced the bug.  I'm doing a scratch
build that I think will fix it:


Please test once that finishes.
Comment 5 Orion Poplawski 2007-10-05 11:38:13 EDT
xorg-x11-server-Xorg- works for me.
Comment 6 Adam Jackson 2007-10-05 12:16:15 EDT
Rockin.  Building as -29.

Note You need to log in before you can comment on or make changes to this bug.